import matplotlib.pyplot as plt
import arviz as az
import pickle
import seaborn as sb
import pickle
import numpy as np
#
#　　　　保存されたデータの読み込み
#
with open('temp.pkl', 'rb') as f:
    N, k, i_data = pickle.load(f)
#
#        MCMCサンプルの分析
#
smry = az.summary(i_data)
print('Summary =\n',smry)  
with open('Summary.txt', 'w') as f:
    f.write(smry.__str__())
print('Summary.txt was saved.')

az.plot_trace(i_data)
plt.savefig('FigTrace.png')
plt.show()
print('FigTrace.png was saved.')

v = np.array(i_data.posterior.theta)
v = np.reshape(v, len(v)*len(v.T))
sb.kdeplot(v)
plt.xlabel(r'$\theta$', fontsize = 16)
plt.savefig('FigTheta.png')
plt.show()
print('FigTheta.png was saved.')
